Skip to main content
GET
/
events
/
v3
/
events
Retrieve event occurrences
curl --request GET \
  --url https://api.hubapi.com/events/v3/events/ \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "eventType": "<string>",
      "id": "<string>",
      "objectId": "<string>",
      "objectType": "<string>",
      "occurredAt": "2023-11-07T05:31:56Z",
      "properties": {}
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Requires one of the following products or higher.
Marketing HubMarketing Hub -Enterprise
Sales HubSales Hub -Enterprise
Service HubService Hub -Enterprise
Content HubContent Hub -Enterprise
Data HubData Hub -Enterprise

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

before
string

Paging cursor token from paging.prev.before in a previous response. Use to retrieve the previous page of results.

eventType
string

The fully-qualified event type name to filter results by (e.g. pe12345_my_event).

id
string[]

One or more idempotency IDs to filter events by. Requires eventType to be set.

limit
integer<int32>

The maximum number of results to display per page.

objectId
integer<int64>

The ID of the CRM object to filter events by. Must be used together with objectType.

objectProperty.{propname}
object

Filter events by a property on the associated CRM object. Replace {propname} with the property name (e.g. objectProperty.email=user@example.com). Multiple filters are ANDed together.

objectType
string

The CRM object type associated with the events to return (e.g. contacts, companies).

occurredAfter
string<date-time>

Return only events that occurred after this timestamp, in ISO 8601 format (e.g. 2024-01-01T00:00:00Z).

occurredBefore
string<date-time>

Return only events that occurred before this timestamp, in ISO 8601 format (e.g. 2024-12-31T23:59:59Z).

property.{propname}
object

Filter events by a property on the event itself. Replace {propname} with the event property name. Multiple values for the same property are ORed; multiple properties are ANDed. Requires eventType to be set.

sort
string[]

Sort results by field. Supported value: occurredAt (ascending) or -occurredAt (descending).

Response

successful operation

results
object[]
required

An array of ExternalUnifiedEvent objects, each representing an individual event with its associated details.

paging
object
Last modified on February 12, 2026